%global momorel 3

Name:		bluez-gnome
Version:	1.8
Release:        %{momorel}m%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPL
URL:		http://www.bluez.org/
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
NoSource: 0
Patch0:         bluetooth-sendto-ods-svn.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/535
Patch1:         0001-Fix-PS3-BD-remote-pairing.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/559
Patch2:         0001-Fixes-for-adapter-specific-buttons.patch
Patch3:         0002-Move-the-adapter-button-list-to-the-side.patch
Patch4:         0003-Fix-trust-button.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=466988
Patch5:         bluez-apple-wireless-kbd.patch
# http://git.kernel.org/?p=bluetooth/bluez-gnome.git;a=commitdiff;h=7256de93be73f50913f6689a0690e3c0a28dfe3b
Patch6:         bluez-wizard-fix-null-display.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=464446
Patch7:         0001-Add-support-for-pairing-a-few-GPS-devices.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/650
Patch8:         0001-Sort-devices-by-type-in-the-treeviews.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/812
Patch9:         0001-Move-the-PIN-quirks-to-an-external-database.patch
# http://marc.info/?l=linux-bluetooth&m=122797676711812&w=2
Patch10:        0001-Add-other-audio-devices.patch
Patch11:        0002-Handle-printers-in-the-wizard.patch
Patch12:        0003-Add-quirks-for-loads-of-GPS-devices.patch
Patch13:        0004-Add-more-PIN-quirks.patch
Patch14:        0001-Add-another-GPS-device.patch
Patch15:        0001-Another-GPS-device-from-Holux.patch
Patch16:        0002-Add-no-name-GPS-device.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires: dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires: dbus-glib-devel perl-XML-Parser intltool
BuildRequires: desktop-file-utils gettext
BuildRequires: hal-devel
# For patch 2
BuildRequires: automake
Prereq: hicolor-icon-theme

Provides:	dbus-bluez-pin-helper
Obsoletes:	bluez-pin

Provides:	gnome-bluetooth
Obsoletes:	gnome-bluetooth
Obsoletes:	gnome-bluetooth-devel

Obsoletes:	gnome-phone-manager
Obsoletes:	gnome-phone-manager-telepathy

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup -q
%patch0 -p1 -b .ods-svn
%patch1 -p1 -b .ps3-bd
%patch2 -p1 -b .button
%patch3 -p1 -b .move
%patch4 -p1 -b .trust
%patch5 -p1 -b .apple-kbd
%patch6 -p1 -b .wizard-crash
%patch7 -p1 -b .gps
%patch8 -p1 -b .sorting
%patch9 -p1 -b .quirks
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

 
%build
autoreconf -if
%configure --disable-mime-update --disable-desktop-update --disable-icon-update
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/gnome/
mv %{buildroot}%{_sysconfdir}/xdg/autostart/ %{buildroot}%{_datadir}/gnome/

desktop-file-install --vendor=""                               \
       --add-category=X-GNOME-NetworkSettings                  \
       --delete-original                                       \
        --dir=%{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/bluetooth-properties.desktop

desktop-file-install --vendor=""                               \
       --remove-category=Application                           \
       --remove-category=Utility                               \
       --add-category=GTK                                      \
       --add-category=System                                   \
       --delete-original                                       \
        --dir=%{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/bluetooth-analyzer.desktop

%find_lang bluetooth-manager

%clean
rm -rf --preserve-root %{buildroot}

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                    \
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas         \
       >& /dev/null || :
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule                              \
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas         \
       >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule                              \
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas         \
       >& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%{_bindir}/bluetooth-browse
%config %{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/autostart/bluetooth-applet.desktop
%{_datadir}/man/man1/bluetooth-applet.1.*
%{_datadir}/man/man1/bluetooth-properties.1.*
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/bluez-gnome/pin-code-database.txt
%{_mandir}/man1/bluetooth-applet.1.*
%{_mandir}/man1/bluetooth-properties.1.*
%{_mandir}/man1/bluetooth-wizard.1.*
%{_mandir}/man1/bluetooth-sendto.1.*
%{_mandir}/man1/bluetooth-browse.1.*
%doc README COPYING AUTHORS ChangeLog
 
%files analyzer
%defattr(-,root,root,-)
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_bindir}/bluetooth-analyzer
%{_mandir}/man1/bluetooth-analyzer.1.*

%changelog
* Mon Mar 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.8-3m)
- add %%defattr(-,root,root,-) to %%files analyzer
- Provides and Obsoletes: gnome-bluetooth
- Obsoletes: gnome-bluetooth-devel
- Obsoletes: gnome-phone-manager
- Obsoletes: gnome-phone-manager-telepathy

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.8-2m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.8-1m)
- update to 1.8

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.27-1m)
- update to 0.27

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.22-3m)
- add Prereq: hicolor-icon-theme

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-2m)
- rebuild against gcc43

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.22-1m)
- import from FC

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-1m)
- import from FC
- comment out BuildRequires: openobex-devel

* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
